<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxIGraphModel (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxIGraphModel (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxIGraphModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.model</a></div>
<h2 title="Interface mxIGraphModel" class="title">Interface mxIGraphModel</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="mxGraphModel.html" title="class in hk.quantr.mxgraph.model">mxGraphModel</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">mxIGraphModel</span></pre>
<div class="block">Defines the requirements for a graph model to be used with mxGraph.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxIGraphModel.mxAtomicGraphModelChange.html" title="class in hk.quantr.mxgraph.model">mxIGraphModel.mxAtomicGraphModelChange</a></span></code></th>
<td class="colLast">
<div class="block">Defines the interface for an atomic change of the graph model.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#add(java.lang.Object,java.lang.Object,int)">add</a></span>&#8203;(java.lang.Object&nbsp;parent,
   java.lang.Object&nbsp;child,
   int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Adds the specified child to the parent at the given index.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Binds the specified function to the given event name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#beginUpdate()">beginUpdate</a></span>()</code></th>
<td class="colLast">
<div class="block">Increments the updateLevel by one.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.Object[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#cloneCells(java.lang.Object%5B%5D,boolean)">cloneCells</a></span>&#8203;(java.lang.Object[]&nbsp;cells,
          boolean&nbsp;includeChildren)</code></th>
<td class="colLast">
<div class="block">Returns an array of clones for the given array of cells.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#contains(java.lang.Object)">contains</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true if the model contains the given cell.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#endUpdate()">endUpdate</a></span>()</code></th>
<td class="colLast">
<div class="block">Decrements the updateLevel by one and fires a notification event if the
 updateLevel reaches 0.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChildAt(java.lang.Object,int)">getChildAt</a></span>&#8203;(java.lang.Object&nbsp;parent,
          int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the child of the given parent at the given index.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getChildCount(java.lang.Object)">getChildCount</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns the number of children in the given cell.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEdgeAt(java.lang.Object,int)">getEdgeAt</a></span>&#8203;(java.lang.Object&nbsp;cell,
         int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Returns the edge of cell at the given index.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getEdgeCount(java.lang.Object)">getEdgeCount</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns the number of distinct edges connected to the given cell.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getGeometry(java.lang.Object)">getGeometry</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns the geometry of the given cell.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getParent(java.lang.Object)">getParent</a></span>&#8203;(java.lang.Object&nbsp;child)</code></th>
<td class="colLast">
<div class="block">Returns the parent of the given cell.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRoot()">getRoot</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the root of the model or the topmost parent of the given cell.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStyle(java.lang.Object)">getStyle</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns the style of the given cell.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTerminal(java.lang.Object,boolean)">getTerminal</a></span>&#8203;(java.lang.Object&nbsp;edge,
           boolean&nbsp;isSource)</code></th>
<td class="colLast">
<div class="block">Returns the source or target terminal of the given edge depending on the
 value of the boolean parameter.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValue(java.lang.Object)">getValue</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns the user object of the given cell.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isAncestor(java.lang.Object,java.lang.Object)">isAncestor</a></span>&#8203;(java.lang.Object&nbsp;parent,
          java.lang.Object&nbsp;child)</code></th>
<td class="colLast">
<div class="block">Returns true if the given parent is an ancestor of the given child.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isCollapsed(java.lang.Object)">isCollapsed</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true if the given cell is collapsed.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isConnectable(java.lang.Object)">isConnectable</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true if the given cell is connectable.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEdge(java.lang.Object)">isEdge</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true if the given cell is an edge.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isVertex(java.lang.Object)">isVertex</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true if the given cell is a vertex.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isVisible(java.lang.Object)">isVisible</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Returns true if the given cell is visible.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#remove(java.lang.Object)">remove</a></span>&#8203;(java.lang.Object&nbsp;cell)</code></th>
<td class="colLast">
<div class="block">Removes the specified cell from the model.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Function: removeListener

 Removes the given listener from the list of listeners.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">
<div class="block">Function: removeListener

 Removes the given listener from the list of listeners.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCollapsed(java.lang.Object,boolean)">setCollapsed</a></span>&#8203;(java.lang.Object&nbsp;cell,
            boolean&nbsp;collapsed)</code></th>
<td class="colLast">
<div class="block">Sets the collapsed state of the given cell.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setGeometry(java.lang.Object,hk.quantr.mxgraph.model.mxGeometry)">setGeometry</a></span>&#8203;(java.lang.Object&nbsp;cell,
           <a href="mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geometry)</code></th>
<td class="colLast">
<div class="block">Sets the geometry of the given cell.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRoot(java.lang.Object)">setRoot</a></span>&#8203;(java.lang.Object&nbsp;root)</code></th>
<td class="colLast">
<div class="block">Sets the root of the model and resets all structures.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setStyle(java.lang.Object,java.lang.String)">setStyle</a></span>&#8203;(java.lang.Object&nbsp;cell,
        java.lang.String&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Sets the style of the given cell.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setTerminal(java.lang.Object,java.lang.Object,boolean)">setTerminal</a></span>&#8203;(java.lang.Object&nbsp;edge,
           java.lang.Object&nbsp;terminal,
           boolean&nbsp;isSource)</code></th>
<td class="colLast">
<div class="block">Sets the source or target terminal of the given edge using.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValue(java.lang.Object,java.lang.Object)">setValue</a></span>&#8203;(java.lang.Object&nbsp;cell,
        java.lang.Object&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the user object of then given cell.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setVisible(java.lang.Object,boolean)">setVisible</a></span>&#8203;(java.lang.Object&nbsp;cell,
          boolean&nbsp;visible)</code></th>
<td class="colLast">
<div class="block">Sets the visible state of the given cell.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getRoot()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoot</h4>
<pre class="methodSignature">java.lang.Object&nbsp;getRoot()</pre>
<div class="block">Returns the root of the model or the topmost parent of the given cell.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the root cell.</dd>
</dl>
</li>
</ul>
<a id="setRoot(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRoot</h4>
<pre class="methodSignature">java.lang.Object&nbsp;setRoot&#8203;(java.lang.Object&nbsp;root)</pre>
<div class="block">Sets the root of the model and resets all structures.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - Cell that specifies the new root.</dd>
</dl>
</li>
</ul>
<a id="cloneCells(java.lang.Object[],boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cloneCells</h4>
<pre class="methodSignature">java.lang.Object[]&nbsp;cloneCells&#8203;(java.lang.Object[]&nbsp;cells,
                              boolean&nbsp;includeChildren)</pre>
<div class="block">Returns an array of clones for the given array of cells.
 Depending on the value of includeChildren, a deep clone is created for
 each cell. Connections are restored based if the corresponding
 cell is contained in the passed in array.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cells</code> - Array of cells to be cloned.</dd>
<dd><code>includeChildren</code> - Boolean indicating if the cells should be cloned
 with all descendants.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a cloned array of cells.</dd>
</dl>
</li>
</ul>
<a id="isAncestor(java.lang.Object,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAncestor</h4>
<pre class="methodSignature">boolean&nbsp;isAncestor&#8203;(java.lang.Object&nbsp;parent,
                   java.lang.Object&nbsp;child)</pre>
<div class="block">Returns true if the given parent is an ancestor of the given child.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - Cell that specifies the parent.</dd>
<dd><code>child</code> - Cell that specifies the child.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns true if child is an ancestor of parent.</dd>
</dl>
</li>
</ul>
<a id="contains(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre class="methodSignature">boolean&nbsp;contains&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true if the model contains the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell to be checked.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns true if the cell is in the model.</dd>
</dl>
</li>
</ul>
<a id="getParent(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre class="methodSignature">java.lang.Object&nbsp;getParent&#8203;(java.lang.Object&nbsp;child)</pre>
<div class="block">Returns the parent of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>child</code> - Cell whose parent should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the parent of the given cell.</dd>
</dl>
</li>
</ul>
<a id="add(java.lang.Object,java.lang.Object,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre class="methodSignature">java.lang.Object&nbsp;add&#8203;(java.lang.Object&nbsp;parent,
                     java.lang.Object&nbsp;child,
                     int&nbsp;index)</pre>
<div class="block">Adds the specified child to the parent at the given index. If no index
 is specified then the child is appended to the parent's array of
 children.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - Cell that specifies the parent to contain the child.</dd>
<dd><code>child</code> - Cell that specifies the child to be inserted.</dd>
<dd><code>index</code> - Integer that specifies the index of the child.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the inserted child.</dd>
</dl>
</li>
</ul>
<a id="remove(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre class="methodSignature">java.lang.Object&nbsp;remove&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Removes the specified cell from the model. This operation will remove
 the cell and all of its children from the model.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell that should be removed.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the removed cell.</dd>
</dl>
</li>
</ul>
<a id="getChildCount(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildCount</h4>
<pre class="methodSignature">int&nbsp;getChildCount&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns the number of children in the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose number of children should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the number of children in the given cell.</dd>
</dl>
</li>
</ul>
<a id="getChildAt(java.lang.Object,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildAt</h4>
<pre class="methodSignature">java.lang.Object&nbsp;getChildAt&#8203;(java.lang.Object&nbsp;parent,
                            int&nbsp;index)</pre>
<div class="block">Returns the child of the given parent at the given index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parent</code> - Cell that represents the parent.</dd>
<dd><code>index</code> - Integer that specifies the index of the child to be
 returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the child at index in parent.</dd>
</dl>
</li>
</ul>
<a id="getTerminal(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTerminal</h4>
<pre class="methodSignature">java.lang.Object&nbsp;getTerminal&#8203;(java.lang.Object&nbsp;edge,
                             boolean&nbsp;isSource)</pre>
<div class="block">Returns the source or target terminal of the given edge depending on the
 value of the boolean parameter.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell that specifies the edge.</dd>
<dd><code>isSource</code> - Boolean indicating which end of the edge should be
 returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the source or target of the given edge.</dd>
</dl>
</li>
</ul>
<a id="setTerminal(java.lang.Object,java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTerminal</h4>
<pre class="methodSignature">java.lang.Object&nbsp;setTerminal&#8203;(java.lang.Object&nbsp;edge,
                             java.lang.Object&nbsp;terminal,
                             boolean&nbsp;isSource)</pre>
<div class="block">Sets the source or target terminal of the given edge using.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>edge</code> - Cell that specifies the edge.</dd>
<dd><code>terminal</code> - Cell that specifies the new terminal.</dd>
<dd><code>isSource</code> - Boolean indicating if the terminal is the new source or
 target terminal of the edge.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the new terminal.</dd>
</dl>
</li>
</ul>
<a id="getEdgeCount(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEdgeCount</h4>
<pre class="methodSignature">int&nbsp;getEdgeCount&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns the number of distinct edges connected to the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell that represents the vertex.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the number of edges connected to cell.</dd>
</dl>
</li>
</ul>
<a id="getEdgeAt(java.lang.Object,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEdgeAt</h4>
<pre class="methodSignature">java.lang.Object&nbsp;getEdgeAt&#8203;(java.lang.Object&nbsp;cell,
                           int&nbsp;index)</pre>
<div class="block">Returns the edge of cell at the given index.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell that specifies the vertex.</dd>
<dd><code>index</code> - Integer that specifies the index of the edge to return.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the edge at the given index.</dd>
</dl>
</li>
</ul>
<a id="isVertex(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVertex</h4>
<pre class="methodSignature">boolean&nbsp;isVertex&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true if the given cell is a vertex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell that represents the possible vertex.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns true if the given cell is a vertex.</dd>
</dl>
</li>
</ul>
<a id="isEdge(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEdge</h4>
<pre class="methodSignature">boolean&nbsp;isEdge&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true if the given cell is an edge.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell that represents the possible edge.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns true if the given cell is an edge.</dd>
</dl>
</li>
</ul>
<a id="isConnectable(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnectable</h4>
<pre class="methodSignature">boolean&nbsp;isConnectable&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true if the given cell is connectable.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose connectable state should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the connectable state of the given cell.</dd>
</dl>
</li>
</ul>
<a id="getValue(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre class="methodSignature">java.lang.Object&nbsp;getValue&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns the user object of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose user object should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the user object of the given cell.</dd>
</dl>
</li>
</ul>
<a id="setValue(java.lang.Object,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre class="methodSignature">java.lang.Object&nbsp;setValue&#8203;(java.lang.Object&nbsp;cell,
                          java.lang.Object&nbsp;value)</pre>
<div class="block">Sets the user object of then given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose user object should be changed.</dd>
<dd><code>value</code> - Object that defines the new user object.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the new value.</dd>
</dl>
</li>
</ul>
<a id="getGeometry(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeometry</h4>
<pre class="methodSignature"><a href="mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;getGeometry&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns the geometry of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose geometry should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the geometry of the given cell.</dd>
</dl>
</li>
</ul>
<a id="setGeometry(java.lang.Object,hk.quantr.mxgraph.model.mxGeometry)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeometry</h4>
<pre class="methodSignature"><a href="mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;setGeometry&#8203;(java.lang.Object&nbsp;cell,
                       <a href="mxGeometry.html" title="class in hk.quantr.mxgraph.model">mxGeometry</a>&nbsp;geometry)</pre>
<div class="block">Sets the geometry of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose geometry should be changed.</dd>
<dd><code>geometry</code> - Object that defines the new geometry.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the new geometry.</dd>
</dl>
</li>
</ul>
<a id="getStyle(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStyle</h4>
<pre class="methodSignature">java.lang.String&nbsp;getStyle&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns the style of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose style should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the style of the given cell.</dd>
</dl>
</li>
</ul>
<a id="setStyle(java.lang.Object,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStyle</h4>
<pre class="methodSignature">java.lang.String&nbsp;setStyle&#8203;(java.lang.Object&nbsp;cell,
                          java.lang.String&nbsp;style)</pre>
<div class="block">Sets the style of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose style should be changed.</dd>
<dd><code>style</code> - String of the form stylename[;key=value] to specify
 the new cell style.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the new style.</dd>
</dl>
</li>
</ul>
<a id="isCollapsed(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCollapsed</h4>
<pre class="methodSignature">boolean&nbsp;isCollapsed&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true if the given cell is collapsed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose collapsed state should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the collapsed state of the given cell.</dd>
</dl>
</li>
</ul>
<a id="setCollapsed(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCollapsed</h4>
<pre class="methodSignature">boolean&nbsp;setCollapsed&#8203;(java.lang.Object&nbsp;cell,
                     boolean&nbsp;collapsed)</pre>
<div class="block">Sets the collapsed state of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose collapsed state should be changed.</dd>
<dd><code>collapsed</code> - Boolean that specifies the new collpased state.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the new collapsed state.</dd>
</dl>
</li>
</ul>
<a id="isVisible(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVisible</h4>
<pre class="methodSignature">boolean&nbsp;isVisible&#8203;(java.lang.Object&nbsp;cell)</pre>
<div class="block">Returns true if the given cell is visible.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose visible state should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the visible state of the given cell.</dd>
</dl>
</li>
</ul>
<a id="setVisible(java.lang.Object,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setVisible</h4>
<pre class="methodSignature">boolean&nbsp;setVisible&#8203;(java.lang.Object&nbsp;cell,
                   boolean&nbsp;visible)</pre>
<div class="block">Sets the visible state of the given cell.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cell</code> - Cell whose visible state should be changed.</dd>
<dd><code>visible</code> - Boolean that specifies the new visible state.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the new visible state.</dd>
</dl>
</li>
</ul>
<a id="beginUpdate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beginUpdate</h4>
<pre class="methodSignature">void&nbsp;beginUpdate()</pre>
<div class="block">Increments the updateLevel by one. The event notification is queued
 until updateLevel reaches 0 by use of endUpdate.</div>
</li>
</ul>
<a id="endUpdate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>endUpdate</h4>
<pre class="methodSignature">void&nbsp;endUpdate()</pre>
<div class="block">Decrements the updateLevel by one and fires a notification event if the
 updateLevel reaches 0.</div>
</li>
</ul>
<a id="addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addListener</h4>
<pre class="methodSignature">void&nbsp;addListener&#8203;(java.lang.String&nbsp;eventName,
                 <a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</pre>
<div class="block">Binds the specified function to the given event name. If no event name
 is given, then the listener is registered for all events.</div>
</li>
</ul>
<a id="removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeListener</h4>
<pre class="methodSignature">void&nbsp;removeListener&#8203;(<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</pre>
<div class="block">Function: removeListener

 Removes the given listener from the list of listeners.</div>
</li>
</ul>
<a id="removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>removeListener</h4>
<pre class="methodSignature">void&nbsp;removeListener&#8203;(<a href="../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
                    java.lang.String&nbsp;eventName)</pre>
<div class="block">Function: removeListener

 Removes the given listener from the list of listeners.</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxIGraphModel.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
